diff --git a/rtengine/dcrop.cc b/rtengine/dcrop.cc
index bfa650d..62ecf98 100644
--- a/rtengine/dcrop.cc
+++ b/rtengine/dcrop.cc
@@ -246,14 +246,16 @@
 
     // Apply Spot removal
     if ((todo & M_SPOT) && !spotsDone) {
-        if (params.spot.enabled && !params.spot.entries.empty()) {
+        if (params.spot.enabled) {
             if (!spotCrop) {
                 spotCrop = new Imagefloat(cropw, croph);
             }
             baseCrop->copyTo(spotCrop);
-            PreviewProps pp(trafx, trafy, trafw * skip, trafh * skip, skip);
-            int tr = getCoarseBitMask(params.coarse);
-            parent->ipf.removeSpots(spotCrop, parent->imgsrc, params.spot.entries, pp, parent->currWB, &params.icm, tr);
+            if (!params.spot.entries.empty()) {
+                PreviewProps pp(trafx, trafy, trafw * skip, trafh * skip, skip);
+                int tr = getCoarseBitMask(params.coarse);
+                parent->ipf.removeSpots(spotCrop, parent->imgsrc, params.spot.entries, pp, parent->currWB, &params.icm, tr);
+            }
         } else {
             if (spotCrop) {
                 delete spotCrop;
diff --git a/rtengine/refreshmap.h b/rtengine/refreshmap.h
index 6583652..ba2008d 100644
--- a/rtengine/refreshmap.h
+++ b/rtengine/refreshmap.h
@@ -52,23 +52,23 @@
 
 // Bitfield of functions to do to the preview image when an event occurs
 // Use those or create new ones for your new events
-#define FIRST            (M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR|M_MONITOR)  // without HIGHQUAL
-#define ALL              (M_WHITEBALANCE|M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)  // without HIGHQUAL
-#define DARKFRAME        (M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define FLATFIELD        (M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define DEMOSAIC                   (M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define ALLNORAW                         (M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define HDR                                     (M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define SPOTADJUST                                                       (M_SPOT|M_HDR|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define TRANSFORM                                                         (M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define AUTOEXP                                                                    (M_SPOT|M_HDR|M_LINDENOISE|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define RGBCURVE                                                                                   (M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define LUMINANCECURVE                                                                                         (M_LUMINANCE|M_COLOR)
-#define SHARPENING                                                                                                        (M_LUMACURVE|M_LUMINANCE|M_COLOR)
-#define IMPULSEDENOISE                                                                                                    (M_LUMINANCE|M_COLOR)
-#define DEFRINGE                                                                                                          (M_LUMINANCE|M_COLOR)
-#define DIRPYRDENOISE                                                                                                     (M_LUMINANCE|M_COLOR)
-#define DIRPYREQUALIZER                                                                                                   (M_LUMINANCE|M_COLOR)
+#define FIRST                  (M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR|M_MONITOR)  // without HIGHQUAL
+#define ALL     (M_WHITEBALANCE|M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)  // without HIGHQUAL
+#define DARKFRAME              (M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define FLATFIELD              (M_PREPROC|M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define DEMOSAIC                         (M_RAW|M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define ALLNORAW                               (M_INIT|M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define HDR                                           (M_SPOT|M_LINDENOISE|M_HDR|M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define SPOTADJUST                                    (M_SPOT|             M_HDR|            M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define TRANSFORM                                                               (M_TRANSFORM|M_BLURMAP|M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define AUTOEXP                                       (M_SPOT|M_LINDENOISE|M_HDR|                      M_AUTOEXP|M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define RGBCURVE                                                                                                (M_RGBCURVE|M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define LUMINANCECURVE                                                                                                                 (M_LUMINANCE|M_COLOR)
+#define SHARPENING                                                                                                         (M_LUMACURVE|M_LUMINANCE|M_COLOR)
+#define IMPULSEDENOISE                                                                                                                 (M_LUMINANCE|M_COLOR)
+#define DEFRINGE                                                                                                                       (M_LUMINANCE|M_COLOR)
+#define DIRPYRDENOISE                                                                                                                  (M_LUMINANCE|M_COLOR)
+#define DIRPYREQUALIZER                                                                                                                (M_LUMINANCE|M_COLOR)
 #define GAMMA             M_VOID //M_MONITOR
 #define CROP              M_CROP
 #define RESIZE            M_VOID
diff --git a/rtgui/spot.cc b/rtgui/spot.cc
index 264b207..59850d1 100644
--- a/rtgui/spot.cc
+++ b/rtgui/spot.cc
@@ -110,10 +110,10 @@
 
     auto m = ProcEventMapper::getInstance();
     EvSpotEnabled = m->newEvent(ALLNORAW, "TP_SPOT_LABEL");
-    EvSpotEnabledOPA = m->newAnonEvent(ALLNORAW);
-    EvSpotEntry = m->newEvent(ALLNORAW, "HISTORY_MSG_SPOT_ENTRY");
-    EvSpotEntryOPA = m->newEvent(ALLNORAW, "HISTORY_MSG_SPOT_ENTRY");
-    EvToolReset.set_action(ALLNORAW);
+    EvSpotEnabledOPA = m->newAnonEvent(SPOTADJUST);
+    EvSpotEntry = m->newEvent(SPOTADJUST, "HISTORY_MSG_SPOT_ENTRY");
+    EvSpotEntryOPA = m->newEvent(SPOTADJUST, "HISTORY_MSG_SPOT_ENTRY");
+    EvToolReset.set_action(SPOTADJUST);
 
     spot_frame = Gtk::manage(new Gtk::Frame(M("TP_SPOT_CUR_SPOT_LABEL")));
     Gtk::VBox *vb = Gtk::manage(new Gtk::VBox());
@@ -845,19 +845,24 @@
     // -> disabling standard crop
     pparams.crop.enabled = false;
 
-//     // -> disabling time consuming and unnecessary tool
-// //    pparams.sh.enabled = false;
-//     pparams.blackwhite.enabled = false;
-//     pparams.dehaze.enabled = false;
-// //    pparams.wavelet.enabled = false;
-//     pparams.filmSimulation.enabled = false;
-// //    pparams.sharpenEdge.enabled = false;
-// //    pparams.sharpenMicro.enabled = false;
-//     pparams.sharpening.enabled = false;
-//     pparams.softlight.enabled = false;
-//     pparams.gradient.enabled = false;
-//     pparams.pcvignette.enabled = false;
-// //    pparams.colorappearance.enabled = false;
+    // -> disabling time consuming and unnecessary tool
+    /*
+    pparams.colorcorrection.enabled = false;
+    pparams.localContrast.enabled = false;
+    pparams.smoothing.enabled = false;
+    pparams.textureBoost.enabled = false;
+    pparams.toneEqualizer.enabled = false;
+    pparams.fattal.enabled = false;
+    pparams.dehaze.enabled = false;
+    pparams.filmSimulation.enabled = false;
+//  pparams.blackwhite.enabled = false;
+    pparams.defringe.enabled = false;
+    pparams.sharpening.enabled = false;
+    pparams.impulseDenoise.enabled = false;
+    pparams.softlight.enabled = false;
+    pparams.gradient.enabled = false;
+    pparams.pcvignette.enabled = false;
+    */
 }
 
 
